export * from "./v1.routes";

import { Router } from "express";

export const v1Routes = (): Router => {
  const routes = Router({ mergeParams: true });

  routes.get("/hello", (req, res) => {
    res.send("Hello world!");
  });

  //authRouter(routes);
  //usersRouter(routes);
  //accountsRouter(routes);

  // Sales
  //invoicesRouter(routes);

  return routes;
};

// Gestión global de errores.
// Siempre al final de la cadena de middlewares
// y después de las rutas.
//app.use(globalErrorHandler);
